> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Attachment Patient

> Change the patient for an attachment and all its versions.

Removes all note links since notes are patient-scoped.



## OpenAPI

````yaml put /attachments/{attachment_id}/patient
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /attachments/{attachment_id}/patient:
    put:
      tags:
        - provider
        - scribe
        - attachments
      summary: Change Attachment Patient
      description: |-
        Change the patient for an attachment and all its versions.

        Removes all note links since notes are patient-scoped.
      operationId: change_attachment_patient_attachments__attachment_id__patient_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
            title: Attachment Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeAttachmentPatientRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Change Attachment Patient Attachments  Attachment Id 
                  Patient Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChangeAttachmentPatientRequest:
      properties:
        patientId:
          type: string
          title: Patientid
      type: object
      required:
        - patientId
      title: ChangeAttachmentPatientRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````